Skip to main content
GET
/
2025-09
/
staff
/
{staff_id}
Show a Staff Member
curl --request GET \
  --url https://public-api.stora.co/2025-09/staff/{staff_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/staff/{staff_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/staff/{staff_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "staff": {
    "id": "staff_947b3057d5df338e",
    "created_at": "2025-02-22T14:41:00Z",
    "email": "john@doe.com",
    "name": "John Doe",
    "updated_at": "2025-02-22T14:41:00Z"
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

staff_id
string
required

The ID of the staff member to retrieve

Response

200 - application/json

staff detail

Single Staff

staff
object

Staff

meta
object